%global	_fwpath	/usr/lib/firmware
%global	bluez_commit	a6d4105d0989103ea6384b65940c76add1914127
%global	bluez_srcdir	bluez-firmware-%{bluez_commit}

Name:		rpi-firmware-bluez
Version:	1.2
Release:	4%{?dist}
Summary:	Supplemental firmware used by Linux kernel for some Raspberry Pi models
BuildArch:	noarch
ExclusiveArch:	aarch64

License:	CYPRESS-WIRELESS-CONNECTIVITY-DEVICES-DRIVER-END-USER-LICENSE-AGREEMENT
URL:		https://github.com/RPi-Distro/bluez-firmware

Source0:	https://github.com/RPi-Distro/bluez-firmware/archive/%{bluez_commit}/bluez-firmware-%{bluez_commit}.tar.gz

Requires:	linux-firmware

%description
This package provides supplemental firmware files not included in linux-firmware
package to enable Bluetooth/Wi-Fi on some Raspberry Pi models.

%prep
%setup -n %{bluez_srcdir} 

%build

%install
install -d %{buildroot}%{_fwpath}/brcm
install -d %{buildroot}/usr/share/licenses/bluez-brcm

cp debian/copyright %{buildroot}/usr/share/licenses/bluez-brcm/

# Bluetooth for RPi Zero 2W
cp broadcom/BCM43430B0.hcd %{buildroot}%{_fwpath}/brcm/
# Bluetooth for RPi 3B+, 4, 5
cp broadcom/BCM43430A1.hcd %{buildroot}%{_fwpath}/brcm/
cp broadcom/BCM4345C0.hcd %{buildroot}%{_fwpath}/brcm/
# Bluetooth for RPi 400
cp broadcom/BCM4345C5.hcd %{buildroot}%{_fwpath}/brcm/

# compress these firmware files
xz -C crc32 %{buildroot}%{_fwpath}/brcm/BCM43430A1.hcd
xz -C crc32 %{buildroot}%{_fwpath}/brcm/BCM43430B0.hcd
xz -C crc32 %{buildroot}%{_fwpath}/brcm/BCM4345C0.hcd
xz -C crc32 %{buildroot}%{_fwpath}/brcm/BCM4345C5.hcd

# Raspberry Pi 5
ln -s BCM4345C0.hcd.xz %{buildroot}%{_fwpath}/brcm/BCM4345C0.raspberrypi,5-model-b.hcd.xz
ln -s brcmfmac43455-sdio.bin.xz %{buildroot}%{_fwpath}/brcm/brcmfmac43455-sdio.raspberrypi,5-model-b.bin.xz
ln -s brcmfmac43455-sdio.clm_blob.xz %{buildroot}%{_fwpath}/brcm/brcmfmac43455-sdio.raspberrypi,5-model-b.clm_blob.xz

%files
%license /usr/share/licenses/bluez-brcm/copyright
%{_fwpath}/brcm/*

%changelog
* Sat Mar 01 2025 Bryan Zuelly <bzuelly@outlook.com> - 20221219-1
- Initial
- influenced by linux-firmware-raspberrypi from Alma Linux
